import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:dotup_flutter_active_window/dotup_flutter_active_window.dart';

void main() {
  const MethodChannel channel = MethodChannel('dotup_flutter_active_window');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getActiveWindowInfo', () async {
    expect(await DotupFlutterActiveWindow.getActiveWindowInfo, '42');
  });
}
