# dotup_flutter_active_window

 A flutter plugin to get active foreground window on MacOS, Windows and Linux.

## Usage

A simple usage example:

```dart
import 'package:dotup_flutter_active_window/dotup_flutter_active_window.dart';

main() {
  final windowInfo = await DotupFlutterActiveWindow.getActiveWindowInfo;

  // or with observer
  final filterFromDb = ActiveWindowFilter(value: 'dotup_', field: ActiveWindowProperty.title);
  final windowObserver = ActiveWindowObserver()
      ..addFilter((windowInfo) => windowInfo?.title.contains('main') == false)
      ..addFilter(ActiveWindowFilterGenerator().generate(filterFromDb))
      ..listen((event) {
        print(event);
      });
    windowObserver.start();
}
```

[dotup.de](https://dotup.de)

## Install
`flutter pub add dotup_flutter_active_window`

## Links

dotup_dart_utils on [pub.dev](https://pub.dev/packages/dotup_dart_utils)


> ## Other widgets on [pub.dev](https://pub.dev/packages?q=dotup)
> 
> ## Other open source flutter projects on [Github](https://github.com/search?q=dotup_flutter)
